API ReferenceDashboard Widget
Dedicated action for widget to return chart data of reported times.
GET
Dedicated action for widget to return chart data of reported times.
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
projectId?stringProject id of project that data need to be filtered
userId?stringId of current user if want only data of this user
dateStart*stringStart date of data.
Format
date-timedateEnd*stringEnd date of data.
Format
date-timerequestedTimezone*stringTimezone
ReportedTimeChartData collection
- response
[index: integer]?curl -X GET 'https://app.icproject.com/api/instance/demo/project/reported-time/reported-time-chart?dateStart=2019-08-24T14%3A15%3A22Z&dateEnd=2019-08-24T14%3A15%3A22Z&requestedTimezone=string'Example Response
[ { "date": "2019-08-24T14:15:22Z", "seconds": 0 }]